Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface MultiResFinder

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, DBCommand, org.eclipse.emf.ecore.EObject, Finder, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CustomFinder, FindAll, QBEFinder

    public interface MultiResFinder

extends Finder

A representation of the model object 'Multi Res Finder'. Classe astratta da cui discendono tutti i Finder a risultato potenzialmente multiplo.

The following features are supported:

- `Distinct`
- `Order Specs`

See Also:
  `DatagenPackage.getMultiResFinder()`

Method Summary
`org.eclipse.emf.common.util.EList<Column>` | `getDistinct()` Returns the value of the 'Distinct' reference list.
`OrderSpecs` | `getOrderSpecs()` Returns the value of the 'Order Specs' containment reference
`void` | `setOrderSpecs(OrderSpecs value)` Sets the value of the '`Order Specs`' containment reference

Methods inherited from interface it.csi.mddtools.datagen.DBCommand
`getName, setName`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDistinct

    org.eclipse.emf.common.util.EList<Column> getDistinct()

  Returns the value of the 'Distinct' reference list. The list contents are of type `Column`.

  If the meaning of the 'Distinct' reference list isn't clear, there really should be more of a description here...

  Eventuale direttiva di _DISTINCT_. Se si specifica una o più colonne viene applicata la clausola _DISTINCT_. In questo caso il risultato conterrà la valorizzazione delle sole colonne indicate nell'elenco.

  Returns:
    the value of the 'Distinct' reference list.
  See Also:
    `DatagenPackage.getMultiResFinder_Distinct()`

### getOrderSpecs

    OrderSpecs getOrderSpecs()

  Returns the value of the 'Order Specs' containment reference.

  If the meaning of the 'Order Specs' containment reference isn't clear, there really should be more of a description here...

  Eventuali specifiche di ordinamento dei risultati della query.

  Returns:
    the value of the 'Order Specs' containment reference.
  See Also:
    `setOrderSpecs(OrderSpecs)`, `DatagenPackage.getMultiResFinder_OrderSpecs()`

### setOrderSpecs

    void setOrderSpecs(OrderSpecs value)

  Sets the value of the '`Order Specs`' containment reference.

  Parameters:
    `value` - the new value of the 'Order Specs' containment reference.
  See Also:
    `getOrderSpecs()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD